html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    /*padding: 1.1rem;*/
    height: calc(100vh - 3.5rem);
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

/*-FLUCT-*/

.unselectable {
    /*-unselectable-*/
    user-select: none;
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE10+/Edge */
}

.fluct-card {
    position: absolute
;
    width: 200px;
    height: 200px;
    color: white;
    border-radius: 16px;

    padding: 8px;
    text-wrap: balance;
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: normal;

    /*display: flex;*/
    justify-content: center;
    align-items: center;
    align-content: center;
    text-align: center;

    font-size: 1.2rem;

    /*-unselectable-*/
    user-select: none;
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE10+/Edge */
}

.fluct-cards-container {
    position: relative;
    width: 100%;
    height: 100%;
}

.scrollable-content {
    height: 100%; /* Fill the main-content-area */
    width: 100%;
    overflow-y: auto; /* Enable VERTICAL SCROLLING ONLY HERE */
    overflow-x: hidden; /* Prevent horizontal scrolling */
    box-sizing: border-box;
    padding-right: 16px; /* space for expanded scroll-bar */
}

.scrollable-content > :first-child {
    margin-top: 12px; /* blur protection*/
}

.scrollable-content > :last-child {
    margin-bottom: 12px; /* blur protection*/
}

/* Top blur */
.scrollable-content::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 24px;
    pointer-events: none;
    background: linear-gradient(to bottom, white, rgba(255, 255, 255, 0));
}

/* Bottom blur */
.scrollable-content::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 24px;
    pointer-events: none;
    background: linear-gradient(to top, white, rgba(255, 255, 255, 0));
}

.fixed-content {
    position: relative;
    height: 100%; /* Fill the main-content-area */
    width: 100%;
}

.center-content {
    max-width: 800px;
    margin: 0 auto;
}

.form-content {
    gap: 8px;
    margin: 0 4px 0 4px;
}

/* - BUTTONS- */

.app-button {
    min-width: 36px;
    min-height: 36px;
    background: transparent;
    color: var(--primary-color);
    border: 2px solid var(--primary-color);
    /*var(--bright-primary-color);*/
    border-radius: 8px;
    /*padding: 4px;*/
    /*font-weight: 500;*/
    /*transition: all 0.2s ease;*/
    /*box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);*/
    position: relative;
    overflow: hidden;
    font-weight: bold;
    padding: 2px;
}

.app-button:hover {
    background-color: whitesmoke;
    /*border-color: #a0a0a0;*/
}

.app-button {
    position: relative;
    display: inline-block;
    padding: 0;
    /*border: none;*/
    background: none;
    cursor: pointer;
    overflow: hidden;
}

/* Само изображение */
.app-button img {
    display: block;
    width: 100%;
    height: auto;
    margin: 2px;
}

/* Блик */
.app-button::after {
    content: "";
    position: absolute;
    top: -50%;
    left: -50%;
    width: 200%;
    height: 200%;
    background: linear-gradient(135deg, rgba(255,255,255,0.4) 0%, rgba(255,255,255,0) 60%);
    pointer-events: none;
    transform: rotate(25deg);
    transition: transform 0.6s ease;
}

/* Эффект при наведении */
.app-button:hover::after {
    transform: translateX(100%) rotate(25deg);
}

/*.app-button:active {*/
/*    */
/*    !* Sunken effect when pressed *!*/
/*    transform: translateY(2px);*/
/*    !*box-shadow: 0 0 1px rgba(0, 0, 0, 0.2);*!*/
/*    !*background-color: #e8e8e8;*!*/
/*}*/

.app-button:focus {

    outline: none;
    /*box-shadow: 0 0 0 2px rgba(0, 120, 212, 0.25);*/
}

.icon {
    width: 32px !important;
    height: 32px !important;
    image-resolution: from-image;
    object-fit: fill;
}

.prim-color {
    color: var(--primary-color);
}

:root {
    --primary-color: #0078D4;
    --bright-primary-color: #0084FF;
    --destructive-color: orangered;
}

@keyframes blink {
    0% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.blinking-text {
    animation: blink 2s infinite;
}

.normal-font {
    font-size: 1rem;
}

.section-font {
    font-size: 1.2rem;
}

.division-font {
    font-size: 1.2rem;
}

.blinking-image {
    animation: blink 1s step-start infinite;
}

@keyframes blink {
    50% {
        opacity: 0;
    }
}

.settings-section {
    font-weight: bold;
    font-size: 1.2rem;
}

.settings-next {
    margin-top: 8px;
}

.settings-item {
    display: block;
}

.text-button {
    min-width: 90px;
    padding: 0 8px 0 8px;
}

.radio-label {
    margin-left: 4px;
}
